---
title: "查询订阅合同列表"
description: "查询订阅合同列表"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/subscription-order/query-subscription-contract-list'
  md: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/subscription-order/query-subscription-contract-list.md'
---
# 查询订阅合同列表

查询订阅合同列表

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_subscription_contracts`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
POST /subscription/contract.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。

## Required Permissions

* `read_subscription_contracts`

## Request

### Request Headers

* `Content-Type`

  string (required)

  字段值固定为 `application/json; charset=utf-8`。

* `Authorization`

  string (required)

  资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。

### Request Body

* `ids`

  array<string>

  合同id列表

* `next_billing_date_at_max`

  string

  订阅下一次账单生成时间（结束）（格式见IOS8601）

* `next_billing_date_at_min`

  string

  订阅下一次账单生成时间（开始）（格式见IOS8601）

* `last`

  integer

  返回最后N个元素,最大支持50， 与first必须并且只有一个不能为空

* `created_at_max`

  string

  订阅合同生成时间（结束）（格式见IOS8601）

* `first`

  integer

  返回前N个元素,最大支持50， 与last必须并且只有一个不能为空

* `reverse`

  boolean

  排序反转

* `user_ids`

  array<string>

  用户id列表，最多50个

* `updated_at_min`

  string

  订阅合同更新时间（开始）（格式见IOS8601）

* `after`

  string

  某个cursor之后，值可以是 orderId, contractId等，根据具体的API表示具体的业务数据id，before 和 after 只允许其一有值

* `before`

  string

  某个之前，值可以是 orderId, contractId等，根据具体的API表示具体的业务数据id，before 和 after 只允许其一有值

* `status`

  array<string>

  订阅合同状态（ ACTIVE, FAILED, CANCELLED, EXPIRED）

* `updated_at_max`

  string

  订阅合同更新时间（结束）（格式见IOS8601）

* `created_at_min`

  string

  订阅合同生成时间（开始）（格式见IOS8601）

## Response

### Status Codes

* `200`

  更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。

### Response Body

#### 200

* `subscription_contracts`

  array<object>

  订阅合同信息列表

  * `status`

    string

    订阅合同状态（ ACTIVE, FAILED, CANCELLED, EXPIRED）

  * `periods`

    integer

    当前合同已执行的期数

  * `next_billing_date`

    string

    下一个账单日期

  * `last_payment_status`

    string

    上一次付款状态

  * `created_at`

    string

    创建时间

  * `app`

    object

    订阅插件信息

    * `app_key`

      string

      app插件的key

  * `customer`

    object

    用户信息

    * `email`

      string

      用户邮箱

    * `id`

      string

      用户id

    * `nick_name`

      string

      用户名称

    * `phone`

      string

      用户电话

    * `shipping_address`

      object

      收货地址

      * `district`

        string

        收货人区

      * `district_code`

        string

        收货人区code

      * `province_code`

        string

        收货人省份code

      * `country_code`

        string

        国家或地区，请参考国家代码规范传参，https://aurogon-portal.yy.com/document/interface/478

      * `city`

        string

        收货人市

      * `phone`

        string

        收货人联系方式

      * `last_name`

        string

        收货人姓

      * `company`

        string

        公司名称

      * `zip`

        string

        邮编

      * `province`

        string

        收货人省份

      * `address1`

        string

        收货人详细地址

      * `country`

        string

        国家或者地区

      * `address2`

        string

        收货人详细地址附加

      * `city_code`

        string

        收货人市code

      * `first_name`

        string

        收货人名

  * `origin_order`

    object

    原始订单信息

    * `id`

      string

      订单号

  * `line_items`

    array<object>

    合同关联的商品

    * `variant_attribute`

      string

      商品属性

    * `amount`

      string

      商品的金额（两位精度的字符串，如"88.10"）

    * `image_url`

      string

      商品主图

    * `pricing_policy`

      array<object>

      订阅周期折扣

      * `cycle_discounts`

        array<object>

        订阅行的每个周期的调整

    * `sku`

      string

      商品码

    * `group_id`

      string

      商品组id

    * `quantity`

      integer

      商品数量

    * `attributes`

      array<object>

      商品属性

      * `key`

        string

        属性key或者name

      * `value`

        string

        属性值

    * `title`

      string

      商品标题

    * `version`

      string

      商品版本

    * `product_source`

      string

      商品来源 main_site主站商品、customize自定义商品

    * `variant_id`

      string

      商品sku序列号

    * `amount_set`

      object

      商品的金额

      * `presentment_money`

        object

        买家侧金额

      * `shop_money`

        object

        卖家侧金额

  * `updated_at`

    string

    更新时间

  * `billing_policy`

    object

    订阅协议计费策略

    * `max_cycles`

      integer

      最大的订阅周期

    * `min_cycles`

      integer

      最小的订阅周期

    * `interval`

      string

      间隔单位, (DAY,MONTH,WEEK,YEAR)

    * `interval_count`

      integer

      间隔值

  * `currency_code`

    string

    币种

  * `delivery_info`

    object

    运送信息

    * `delivery_name`

      string

      方案名称

    * `delivery_seq`

      string

      运费方案的seq

  * `id`

    string

    合同id

  * `customer_payment_method`

    object

    付款方式

    * `method_code`

      string

      支付方式编码

    * `store_payment_id`

      string

      支付方式ID

    * `channel_code`

      string

      支付渠道编码

    * `instrument_detail`

      object

      支付工具详情

      * `card`

        object

        卡信息

      * `type`

        string

        类型 card / account. card: 卡基；account: 账基

    * `instrument_seq`

      string

      支付工具ID

* `page_info`

  object

  分页信息

  * `has_previous_page`

    boolean

    1

  * `start_cursor`

    string

    1

  * `end_cursor`

    string

    1

  * `has_next_page`

    boolean

    1


#### 401

* `errors`

  string

  错误描述。


#### 429

* `errors`

  string

  错误描述。


## OpenAPI Definition

```json
{
  "description": "查询订阅合同列表",
  "externalDocs": {
    "description": "接口使用的权限点: `read_subscription_contracts` ，更多权限点使用信息，请参考:",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=zh-hans-cn",
    "errorTableDescription": ""
  },
  "operationId": "jkPiwIKK",
  "parameters": [
    {
      "name": "Content-Type",
      "in": "header",
      "description": "字段值固定为 `application/json; charset=utf-8`。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": "资源的访问令牌。请参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "ids": {
              "name": "ids",
              "description": "合同id列表",
              "type": "array",
              "items": {
                "name": "ids",
                "description": "合同id列表",
                "type": "string",
                "example": ""
              },
              "example": [
                ""
              ]
            },
            "next_billing_date_at_max": {
              "name": "next_billing_date_at_max",
              "description": "订阅下一次账单生成时间（结束）（格式见IOS8601）",
              "type": "string",
              "example": ""
            },
            "next_billing_date_at_min": {
              "name": "next_billing_date_at_min",
              "description": "订阅下一次账单生成时间（开始）（格式见IOS8601）",
              "type": "string",
              "example": ""
            },
            "last": {
              "name": "last",
              "description": "返回最后N个元素,最大支持50， 与first必须并且只有一个不能为空",
              "type": "integer",
              "example": 0
            },
            "created_at_max": {
              "name": "created_at_max",
              "description": "订阅合同生成时间（结束）（格式见IOS8601）",
              "type": "string",
              "example": ""
            },
            "first": {
              "name": "first",
              "description": "返回前N个元素,最大支持50， 与last必须并且只有一个不能为空",
              "type": "integer",
              "example": 0
            },
            "reverse": {
              "name": "reverse",
              "description": "排序反转",
              "type": "boolean",
              "example": false
            },
            "user_ids": {
              "name": "user_ids",
              "description": "用户id列表，最多50个",
              "type": "array",
              "items": {
                "name": "user_ids",
                "description": "用户id列表，最多50个",
                "type": "string",
                "example": ""
              },
              "example": [
                ""
              ]
            },
            "updated_at_min": {
              "name": "updated_at_min",
              "description": "订阅合同更新时间（开始）（格式见IOS8601）",
              "type": "string",
              "example": ""
            },
            "after": {
              "name": "after",
              "description": "某个cursor之后，值可以是 orderId, contractId等，根据具体的API表示具体的业务数据id，before 和 after 只允许其一有值",
              "type": "string",
              "example": ""
            },
            "before": {
              "name": "before",
              "description": "某个之前，值可以是 orderId, contractId等，根据具体的API表示具体的业务数据id，before 和 after 只允许其一有值",
              "type": "string",
              "example": ""
            },
            "status": {
              "name": "status",
              "description": "订阅合同状态（ ACTIVE, FAILED, CANCELLED, EXPIRED）",
              "type": "array",
              "items": {
                "name": "status",
                "description": "订阅合同状态（ ACTIVE, FAILED, CANCELLED, EXPIRED）",
                "type": "string",
                "example": ""
              },
              "example": [
                ""
              ]
            },
            "updated_at_max": {
              "name": "updated_at_max",
              "description": "订阅合同更新时间（结束）（格式见IOS8601）",
              "type": "string",
              "example": ""
            },
            "created_at_min": {
              "name": "created_at_min",
              "description": "订阅合同生成时间（开始）（格式见IOS8601）",
              "type": "string",
              "example": ""
            }
          },
          "example": {
            "last": 0,
            "reverse": false,
            "before": "",
            "next_billing_date_at_max": "",
            "status": [
              ""
            ],
            "after": "",
            "created_at_max": "",
            "ids": [
              ""
            ],
            "next_billing_date_at_min": "",
            "created_at_min": "",
            "updated_at_min": "",
            "user_ids": [
              ""
            ],
            "first": 0,
            "updated_at_max": ""
          }
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。",
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "subscription_contracts": {
                "name": "subscription_contracts",
                "description": "订阅合同信息列表",
                "type": "array",
                "items": {
                  "name": "subscription_contracts",
                  "description": "订阅合同信息列表",
                  "type": "object",
                  "properties": {
                    "status": {
                      "name": "status",
                      "description": "订阅合同状态（ ACTIVE, FAILED, CANCELLED, EXPIRED）",
                      "type": "string",
                      "example": ""
                    },
                    "periods": {
                      "name": "periods",
                      "description": "当前合同已执行的期数",
                      "type": "integer",
                      "example": 0
                    },
                    "next_billing_date": {
                      "name": "next_billing_date",
                      "description": "下一个账单日期",
                      "type": "string",
                      "example": ""
                    },
                    "last_payment_status": {
                      "name": "last_payment_status",
                      "description": "上一次付款状态",
                      "type": "string",
                      "example": ""
                    },
                    "created_at": {
                      "name": "created_at",
                      "description": "创建时间",
                      "type": "string",
                      "example": ""
                    },
                    "app": {
                      "name": "app",
                      "description": "订阅插件信息",
                      "type": "object",
                      "properties": {
                        "app_key": {
                          "name": "app_key",
                          "description": "app插件的key",
                          "type": "string",
                          "example": ""
                        }
                      },
                      "example": {
                        "app_key": ""
                      }
                    },
                    "customer": {
                      "name": "customer",
                      "description": "用户信息",
                      "type": "object",
                      "properties": {
                        "email": {
                          "name": "email",
                          "description": "用户邮箱",
                          "type": "string",
                          "example": ""
                        },
                        "id": {
                          "name": "id",
                          "description": "用户id",
                          "type": "string",
                          "example": ""
                        },
                        "nick_name": {
                          "name": "nick_name",
                          "description": "用户名称",
                          "type": "string",
                          "example": ""
                        },
                        "phone": {
                          "name": "phone",
                          "description": "用户电话",
                          "type": "string",
                          "example": ""
                        },
                        "shipping_address": {
                          "name": "shipping_address",
                          "description": "收货地址",
                          "type": "object",
                          "properties": {
                            "district": {
                              "name": "district",
                              "description": "收货人区",
                              "type": "string",
                              "example": ""
                            },
                            "district_code": {
                              "name": "district_code",
                              "description": "收货人区code",
                              "type": "string",
                              "example": ""
                            },
                            "province_code": {
                              "name": "province_code",
                              "description": "收货人省份code",
                              "type": "string",
                              "example": ""
                            },
                            "country_code": {
                              "name": "country_code",
                              "description": "国家或地区，请参考国家代码规范传参，https://aurogon-portal.yy.com/document/interface/478",
                              "type": "string",
                              "example": ""
                            },
                            "city": {
                              "name": "city",
                              "description": "收货人市",
                              "type": "string",
                              "example": ""
                            },
                            "phone": {
                              "name": "phone",
                              "description": "收货人联系方式",
                              "type": "string",
                              "example": ""
                            },
                            "last_name": {
                              "name": "last_name",
                              "description": "收货人姓",
                              "type": "string",
                              "example": ""
                            },
                            "company": {
                              "name": "company",
                              "description": "公司名称",
                              "type": "string",
                              "example": ""
                            },
                            "zip": {
                              "name": "zip",
                              "description": "邮编",
                              "type": "string",
                              "example": ""
                            },
                            "province": {
                              "name": "province",
                              "description": "收货人省份",
                              "type": "string",
                              "example": ""
                            },
                            "address1": {
                              "name": "address1",
                              "description": "收货人详细地址",
                              "type": "string",
                              "example": ""
                            },
                            "country": {
                              "name": "country",
                              "description": "国家或者地区",
                              "type": "string",
                              "example": ""
                            },
                            "address2": {
                              "name": "address2",
                              "description": "收货人详细地址附加",
                              "type": "string",
                              "example": ""
                            },
                            "city_code": {
                              "name": "city_code",
                              "description": "收货人市code",
                              "type": "string",
                              "example": ""
                            },
                            "first_name": {
                              "name": "first_name",
                              "description": "收货人名",
                              "type": "string",
                              "example": ""
                            }
                          },
                          "example": {
                            "district": "",
                            "zip": "",
                            "address1": "",
                            "address2": "",
                            "country": "",
                            "phone": "",
                            "city": "",
                            "company": "",
                            "district_code": "",
                            "last_name": "",
                            "first_name": "",
                            "country_code": "",
                            "province": "",
                            "province_code": "",
                            "city_code": ""
                          }
                        }
                      },
                      "example": {
                        "shipping_address": {
                          "district_code": "",
                          "province_code": "",
                          "company": "",
                          "city": "",
                          "last_name": "",
                          "country": "",
                          "province": "",
                          "district": "",
                          "address1": "",
                          "zip": "",
                          "address2": "",
                          "first_name": "",
                          "country_code": "",
                          "phone": "",
                          "city_code": ""
                        },
                        "email": "",
                        "id": "",
                        "nick_name": "",
                        "phone": ""
                      }
                    },
                    "origin_order": {
                      "name": "origin_order",
                      "description": "原始订单信息",
                      "type": "object",
                      "properties": {
                        "id": {
                          "name": "id",
                          "description": "订单号",
                          "type": "string",
                          "example": ""
                        }
                      },
                      "example": {
                        "id": ""
                      }
                    },
                    "line_items": {
                      "name": "line_items",
                      "description": "合同关联的商品",
                      "type": "array",
                      "items": {
                        "name": "line_items",
                        "description": "合同关联的商品",
                        "type": "object",
                        "properties": {
                          "variant_attribute": {
                            "name": "variant_attribute",
                            "description": "商品属性",
                            "type": "string",
                            "example": ""
                          },
                          "amount": {
                            "name": "amount",
                            "description": "商品的金额（两位精度的字符串，如\"88.10\"）",
                            "type": "string",
                            "example": ""
                          },
                          "image_url": {
                            "name": "image_url",
                            "description": "商品主图",
                            "type": "string",
                            "example": ""
                          },
                          "pricing_policy": {
                            "name": "pricing_policy",
                            "description": "订阅周期折扣",
                            "type": "array",
                            "items": {
                              "name": "pricing_policy",
                              "description": "订阅周期折扣",
                              "type": "object",
                              "properties": {
                                "cycle_discounts": {
                                  "name": "cycle_discounts",
                                  "description": "订阅行的每个周期的调整",
                                  "type": "array",
                                  "items": {
                                    "name": "cycle_discounts",
                                    "description": "订阅行的每个周期的调整",
                                    "type": "object",
                                    "properties": {
                                      "adjustment_type": {
                                        "name": "adjustment_type",
                                        "description": "优惠类型, FIXED_AMOUNT: 减额，PERCENTAGE: 折扣(减去百分比)",
                                        "type": "string",
                                        "example": ""
                                      },
                                      "adjustment_value": {
                                        "name": "adjustment_value",
                                        "description": "优惠值 扣减金额（分）或万分比",
                                        "type": "long",
                                        "example": 0
                                      }
                                    },
                                    "example": {
                                      "adjustment_value": 0,
                                      "adjustment_type": ""
                                    }
                                  },
                                  "example": [
                                    {
                                      "adjustment_type": "",
                                      "adjustment_value": 0
                                    }
                                  ]
                                }
                              },
                              "example": {
                                "cycle_discounts": [
                                  {
                                    "adjustment_value": 0,
                                    "adjustment_type": ""
                                  }
                                ]
                              }
                            },
                            "example": [
                              {
                                "cycle_discounts": [
                                  {
                                    "adjustment_type": "",
                                    "adjustment_value": 0
                                  }
                                ]
                              }
                            ]
                          },
                          "sku": {
                            "name": "sku",
                            "description": "商品码",
                            "type": "string",
                            "example": ""
                          },
                          "group_id": {
                            "name": "group_id",
                            "description": "商品组id",
                            "type": "string",
                            "example": ""
                          },
                          "quantity": {
                            "name": "quantity",
                            "description": "商品数量",
                            "type": "integer",
                            "example": 0
                          },
                          "attributes": {
                            "name": "attributes",
                            "description": "商品属性",
                            "type": "array",
                            "items": {
                              "name": "attributes",
                              "description": "商品属性",
                              "type": "object",
                              "properties": {
                                "key": {
                                  "name": "key",
                                  "description": "属性key或者name",
                                  "type": "string",
                                  "example": ""
                                },
                                "value": {
                                  "name": "value",
                                  "description": "属性值",
                                  "type": "string",
                                  "example": ""
                                }
                              },
                              "example": {
                                "key": "",
                                "value": ""
                              }
                            },
                            "example": [
                              {
                                "value": "",
                                "key": ""
                              }
                            ]
                          },
                          "title": {
                            "name": "title",
                            "description": "商品标题",
                            "type": "string",
                            "example": ""
                          },
                          "version": {
                            "name": "version",
                            "description": "商品版本",
                            "type": "string",
                            "example": ""
                          },
                          "product_source": {
                            "name": "product_source",
                            "description": "商品来源 main_site主站商品、customize自定义商品",
                            "type": "string",
                            "example": ""
                          },
                          "variant_id": {
                            "name": "variant_id",
                            "description": "商品sku序列号",
                            "type": "string",
                            "example": ""
                          },
                          "amount_set": {
                            "name": "amount_set",
                            "description": "商品的金额",
                            "type": "object",
                            "properties": {
                              "presentment_money": {
                                "name": "presentment_money",
                                "description": "买家侧金额",
                                "type": "object",
                                "properties": {
                                  "amount": {
                                    "name": "amount",
                                    "description": "金额",
                                    "type": "string",
                                    "example": ""
                                  },
                                  "currency_code": {
                                    "name": "currency_code",
                                    "description": "货币",
                                    "type": "string",
                                    "example": ""
                                  }
                                },
                                "example": {
                                  "amount": "",
                                  "currency_code": ""
                                }
                              },
                              "shop_money": {
                                "name": "shop_money",
                                "description": "卖家侧金额",
                                "type": "object",
                                "properties": {
                                  "currency_code": {
                                    "name": "currency_code",
                                    "description": "货币",
                                    "type": "string",
                                    "example": ""
                                  },
                                  "amount": {
                                    "name": "amount",
                                    "description": "金额",
                                    "type": "string",
                                    "example": ""
                                  }
                                },
                                "example": {
                                  "amount": "",
                                  "currency_code": ""
                                }
                              }
                            },
                            "example": {
                              "presentment_money": {
                                "amount": "",
                                "currency_code": ""
                              },
                              "shop_money": {
                                "currency_code": "",
                                "amount": ""
                              }
                            }
                          }
                        },
                        "example": {
                          "product_source": "",
                          "variant_attribute": "",
                          "image_url": "",
                          "variant_id": "",
                          "attributes": [
                            {
                              "key": "",
                              "value": ""
                            }
                          ],
                          "title": "",
                          "sku": "",
                          "amount": "",
                          "version": "",
                          "amount_set": {
                            "shop_money": {
                              "amount": "",
                              "currency_code": ""
                            },
                            "presentment_money": {
                              "currency_code": "",
                              "amount": ""
                            }
                          },
                          "quantity": 0,
                          "group_id": "",
                          "pricing_policy": [
                            {
                              "cycle_discounts": [
                                {
                                  "adjustment_type": "",
                                  "adjustment_value": 0
                                }
                              ]
                            }
                          ]
                        }
                      },
                      "example": [
                        {
                          "variant_attribute": "",
                          "group_id": "",
                          "product_source": "",
                          "pricing_policy": [
                            {
                              "cycle_discounts": [
                                {
                                  "adjustment_type": "",
                                  "adjustment_value": 0
                                }
                              ]
                            }
                          ],
                          "quantity": 0,
                          "version": "",
                          "image_url": "",
                          "amount": "",
                          "attributes": [
                            {
                              "key": "",
                              "value": ""
                            }
                          ],
                          "title": "",
                          "sku": "",
                          "variant_id": "",
                          "amount_set": {
                            "presentment_money": {
                              "amount": "",
                              "currency_code": ""
                            },
                            "shop_money": {
                              "amount": "",
                              "currency_code": ""
                            }
                          }
                        }
                      ]
                    },
                    "updated_at": {
                      "name": "updated_at",
                      "description": "更新时间",
                      "type": "string",
                      "example": ""
                    },
                    "billing_policy": {
                      "name": "billing_policy",
                      "description": "订阅协议计费策略",
                      "type": "object",
                      "properties": {
                        "max_cycles": {
                          "name": "max_cycles",
                          "description": "最大的订阅周期",
                          "type": "integer",
                          "example": 0
                        },
                        "min_cycles": {
                          "name": "min_cycles",
                          "description": "最小的订阅周期",
                          "type": "integer",
                          "example": 0
                        },
                        "interval": {
                          "name": "interval",
                          "description": "间隔单位, (DAY,MONTH,WEEK,YEAR)",
                          "type": "string",
                          "example": ""
                        },
                        "interval_count": {
                          "name": "interval_count",
                          "description": "间隔值",
                          "type": "integer",
                          "example": 0
                        }
                      },
                      "example": {
                        "interval_count": 0,
                        "max_cycles": 0,
                        "min_cycles": 0,
                        "interval": ""
                      }
                    },
                    "currency_code": {
                      "name": "currency_code",
                      "description": "币种",
                      "type": "string",
                      "example": ""
                    },
                    "delivery_info": {
                      "name": "delivery_info",
                      "description": "运送信息",
                      "type": "object",
                      "properties": {
                        "delivery_name": {
                          "name": "delivery_name",
                          "description": "方案名称",
                          "type": "string",
                          "example": ""
                        },
                        "delivery_seq": {
                          "name": "delivery_seq",
                          "description": "运费方案的seq",
                          "type": "string",
                          "example": ""
                        }
                      },
                      "example": {
                        "delivery_name": "",
                        "delivery_seq": ""
                      }
                    },
                    "id": {
                      "name": "id",
                      "description": "合同id",
                      "type": "string",
                      "example": ""
                    },
                    "customer_payment_method": {
                      "name": "customer_payment_method",
                      "description": "付款方式",
                      "type": "object",
                      "properties": {
                        "method_code": {
                          "name": "method_code",
                          "description": "支付方式编码",
                          "type": "string",
                          "example": ""
                        },
                        "store_payment_id": {
                          "name": "store_payment_id",
                          "description": "支付方式ID",
                          "type": "string",
                          "example": ""
                        },
                        "channel_code": {
                          "name": "channel_code",
                          "description": "支付渠道编码",
                          "type": "string",
                          "example": ""
                        },
                        "instrument_detail": {
                          "name": "instrument_detail",
                          "description": "支付工具详情",
                          "type": "object",
                          "properties": {
                            "card": {
                              "name": "card",
                              "description": "卡信息",
                              "type": "object",
                              "properties": {
                                "expire_year": {
                                  "name": "expire_year",
                                  "description": "有效期：年",
                                  "type": "string",
                                  "example": ""
                                },
                                "first": {
                                  "name": "first",
                                  "description": "卡号前置展示位",
                                  "type": "string",
                                  "example": ""
                                },
                                "holder": {
                                  "name": "holder",
                                  "description": "持卡人姓名",
                                  "type": "string",
                                  "example": ""
                                },
                                "last": {
                                  "name": "last",
                                  "description": "卡号后置展示位",
                                  "type": "string",
                                  "example": ""
                                },
                                "brand": {
                                  "name": "brand",
                                  "description": "卡品牌",
                                  "type": "string",
                                  "example": ""
                                },
                                "brand_icon": {
                                  "name": "brand_icon",
                                  "description": "卡图标",
                                  "type": "string",
                                  "example": ""
                                },
                                "expire_month": {
                                  "name": "expire_month",
                                  "description": "有效期：月",
                                  "type": "string",
                                  "example": ""
                                }
                              },
                              "example": {
                                "last": "",
                                "brand": "",
                                "brand_icon": "",
                                "expire_month": "",
                                "expire_year": "",
                                "first": "",
                                "holder": ""
                              }
                            },
                            "type": {
                              "name": "type",
                              "description": "类型 card / account. card: 卡基；account: 账基",
                              "type": "string",
                              "example": ""
                            }
                          },
                          "example": {
                            "card": {
                              "brand": "",
                              "brand_icon": "",
                              "expire_month": "",
                              "expire_year": "",
                              "first": "",
                              "holder": "",
                              "last": ""
                            },
                            "type": ""
                          }
                        },
                        "instrument_seq": {
                          "name": "instrument_seq",
                          "description": "支付工具ID",
                          "type": "string",
                          "example": ""
                        }
                      },
                      "example": {
                        "store_payment_id": "",
                        "channel_code": "",
                        "instrument_detail": {
                          "card": {
                            "expire_year": "",
                            "first": "",
                            "holder": "",
                            "last": "",
                            "brand": "",
                            "brand_icon": "",
                            "expire_month": ""
                          },
                          "type": ""
                        },
                        "instrument_seq": "",
                        "method_code": ""
                      }
                    }
                  },
                  "example": {
                    "customer_payment_method": {
                      "channel_code": "",
                      "instrument_detail": {
                        "card": {
                          "first": "",
                          "holder": "",
                          "last": "",
                          "brand": "",
                          "brand_icon": "",
                          "expire_month": "",
                          "expire_year": ""
                        },
                        "type": ""
                      },
                      "instrument_seq": "",
                      "method_code": "",
                      "store_payment_id": ""
                    },
                    "line_items": [
                      {
                        "attributes": [
                          {
                            "key": "",
                            "value": ""
                          }
                        ],
                        "pricing_policy": [
                          {
                            "cycle_discounts": [
                              {
                                "adjustment_value": 0,
                                "adjustment_type": ""
                              }
                            ]
                          }
                        ],
                        "group_id": "",
                        "title": "",
                        "variant_id": "",
                        "amount": "",
                        "variant_attribute": "",
                        "version": "",
                        "product_source": "",
                        "image_url": "",
                        "quantity": 0,
                        "sku": "",
                        "amount_set": {
                          "shop_money": {
                            "amount": "",
                            "currency_code": ""
                          },
                          "presentment_money": {
                            "amount": "",
                            "currency_code": ""
                          }
                        }
                      }
                    ],
                    "periods": 0,
                    "id": "",
                    "origin_order": {
                      "id": ""
                    },
                    "delivery_info": {
                      "delivery_seq": "",
                      "delivery_name": ""
                    },
                    "updated_at": "",
                    "created_at": "",
                    "currency_code": "",
                    "customer": {
                      "nick_name": "",
                      "phone": "",
                      "shipping_address": {
                        "country_code": "",
                        "district": "",
                        "city": "",
                        "country": "",
                        "first_name": "",
                        "province_code": "",
                        "company": "",
                        "address1": "",
                        "province": "",
                        "phone": "",
                        "zip": "",
                        "last_name": "",
                        "address2": "",
                        "district_code": "",
                        "city_code": ""
                      },
                      "email": "",
                      "id": ""
                    },
                    "status": "",
                    "next_billing_date": "",
                    "last_payment_status": "",
                    "app": {
                      "app_key": ""
                    },
                    "billing_policy": {
                      "interval": "",
                      "interval_count": 0,
                      "max_cycles": 0,
                      "min_cycles": 0
                    }
                  }
                },
                "example": [
                  {
                    "customer": {
                      "id": "",
                      "nick_name": "",
                      "phone": "",
                      "shipping_address": {
                        "country": "",
                        "province_code": "",
                        "city": "",
                        "address2": "",
                        "zip": "",
                        "first_name": "",
                        "address1": "",
                        "phone": "",
                        "district": "",
                        "country_code": "",
                        "company": "",
                        "province": "",
                        "city_code": "",
                        "last_name": "",
                        "district_code": ""
                      },
                      "email": ""
                    },
                    "next_billing_date": "",
                    "billing_policy": {
                      "max_cycles": 0,
                      "min_cycles": 0,
                      "interval": "",
                      "interval_count": 0
                    },
                    "customer_payment_method": {
                      "channel_code": "",
                      "instrument_detail": {
                        "card": {
                          "first": "",
                          "holder": "",
                          "last": "",
                          "brand": "",
                          "brand_icon": "",
                          "expire_month": "",
                          "expire_year": ""
                        },
                        "type": ""
                      },
                      "instrument_seq": "",
                      "method_code": "",
                      "store_payment_id": ""
                    },
                    "currency_code": "",
                    "line_items": [
                      {
                        "amount": "",
                        "attributes": [
                          {
                            "key": "",
                            "value": ""
                          }
                        ],
                        "pricing_policy": [
                          {
                            "cycle_discounts": [
                              {
                                "adjustment_type": "",
                                "adjustment_value": 0
                              }
                            ]
                          }
                        ],
                        "title": "",
                        "sku": "",
                        "image_url": "",
                        "quantity": 0,
                        "variant_attribute": "",
                        "version": "",
                        "group_id": "",
                        "product_source": "",
                        "amount_set": {
                          "presentment_money": {
                            "currency_code": "",
                            "amount": ""
                          },
                          "shop_money": {
                            "currency_code": "",
                            "amount": ""
                          }
                        },
                        "variant_id": ""
                      }
                    ],
                    "status": "",
                    "origin_order": {
                      "id": ""
                    },
                    "id": "",
                    "created_at": "",
                    "last_payment_status": "",
                    "app": {
                      "app_key": ""
                    },
                    "periods": 0,
                    "delivery_info": {
                      "delivery_name": "",
                      "delivery_seq": ""
                    },
                    "updated_at": ""
                  }
                ]
              },
              "page_info": {
                "name": "page_info",
                "description": "分页信息",
                "type": "object",
                "properties": {
                  "has_previous_page": {
                    "name": "has_previous_page",
                    "description": "1",
                    "type": "boolean",
                    "example": false
                  },
                  "start_cursor": {
                    "name": "start_cursor",
                    "description": "1",
                    "type": "string",
                    "example": ""
                  },
                  "end_cursor": {
                    "name": "end_cursor",
                    "description": "1",
                    "type": "string",
                    "example": ""
                  },
                  "has_next_page": {
                    "name": "has_next_page",
                    "description": "1",
                    "type": "boolean",
                    "example": false
                  }
                },
                "example": {
                  "has_next_page": false,
                  "has_previous_page": false,
                  "start_cursor": "",
                  "end_cursor": ""
                }
              }
            },
            "example": {
              "subscription_contracts": [
                {
                  "currency_code": "",
                  "next_billing_date": "",
                  "created_at": "",
                  "line_items": [
                    {
                      "pricing_policy": [
                        {
                          "cycle_discounts": [
                            {
                              "adjustment_type": "",
                              "adjustment_value": 0
                            }
                          ]
                        }
                      ],
                      "product_source": "",
                      "attributes": [
                        {
                          "key": "",
                          "value": ""
                        }
                      ],
                      "quantity": 0,
                      "amount": "",
                      "amount_set": {
                        "presentment_money": {
                          "currency_code": "",
                          "amount": ""
                        },
                        "shop_money": {
                          "currency_code": "",
                          "amount": ""
                        }
                      },
                      "sku": "",
                      "title": "",
                      "group_id": "",
                      "variant_attribute": "",
                      "version": "",
                      "image_url": "",
                      "variant_id": ""
                    }
                  ],
                  "origin_order": {
                    "id": ""
                  },
                  "billing_policy": {
                    "max_cycles": 0,
                    "min_cycles": 0,
                    "interval": "",
                    "interval_count": 0
                  },
                  "last_payment_status": "",
                  "app": {
                    "app_key": ""
                  },
                  "status": "",
                  "updated_at": "",
                  "delivery_info": {
                    "delivery_name": "",
                    "delivery_seq": ""
                  },
                  "customer": {
                    "id": "",
                    "nick_name": "",
                    "phone": "",
                    "shipping_address": {
                      "district": "",
                      "province": "",
                      "address1": "",
                      "city": "",
                      "last_name": "",
                      "phone": "",
                      "zip": "",
                      "company": "",
                      "city_code": "",
                      "address2": "",
                      "country": "",
                      "district_code": "",
                      "first_name": "",
                      "province_code": "",
                      "country_code": ""
                    },
                    "email": ""
                  },
                  "customer_payment_method": {
                    "channel_code": "",
                    "instrument_detail": {
                      "card": {
                        "expire_year": "",
                        "first": "",
                        "holder": "",
                        "last": "",
                        "brand": "",
                        "brand_icon": "",
                        "expire_month": ""
                      },
                      "type": ""
                    },
                    "instrument_seq": "",
                    "method_code": "",
                    "store_payment_id": ""
                  },
                  "periods": 0,
                  "id": ""
                }
              ],
              "page_info": {
                "has_previous_page": false,
                "start_cursor": "",
                "end_cursor": "",
                "has_next_page": false
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "post",
  "path": "/subscription/contract.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。"
        }
      }
    }
  ],
  "info": {
    "title": "查询订阅合同列表",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_subscription_contracts"
  ]
}
```